// AppController.h -- application controller, handler of all the buttons.

// Copyright (C) 2003 Borkware
// We use the BSD License.  Check out http://borkware.com/license


#import <Cocoa/Cocoa.h>

@interface AppController : NSObject
{
    IBOutlet NSPopUpButton *soundNamesPopup;
    IBOutlet NSButton *playButton;
    IBOutlet NSWindow *window;

    NSSound *sound;
    BOOL loop;
}

- (IBAction) loadNamedSound: (id) sender;
- (IBAction) loadSoundFromFile: (id) sender;
- (IBAction) loadSoundFromURL: (id) sender;

- (IBAction) play: (id) sender;

@end // AppController

